#include<bits/stdc++.h>
using namespace std;

int main()
{
    int n, m, x, y, arr[n], sum=0;
    cin>>n>>m;    
    for(int i=1;i<n+1;i++) cin>>arr[i];
    for(int i=0; i<m; i++)
    {
        cin>>x>>y;
        if(arr[x]+arr[y]>=0) sum+=arr[x]+arr[y];
        else if(arr[x]+arr[y]<0) sum+=-arr[x]-arr[y];
    }
    cout<<sum;
    return 0;
}